## gnome-firmware 3.34.0

=== meson_options.txt ===
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('elogind', type : 'boolean', value : false, description : 'enable elogind support')

=== debian/changelog ===
gnome-firmware (3.34.0-2ubuntu1) focal; urgency=medium

  * no change rebuild with libxmlb 0.3.6, which bump from libxmlb1 to
    libxmlb2. (LP: #1980334, LP: #1984840)
  * Also build-depends on fwupd 1.7.9 to make sure everything is
    consistant.

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Mon, 08 Aug 2022 03:13:41 +0000

gnome-firmware (3.34.0-2) unstable; urgency=medium

  * Re-upload as-is. Trigger rebuild of all archs on Debian buildds.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Jan 2020 16:01:54 +0100

gnome-firmware (3.34.0-1) unstable; urgency=medium

  [ Jesper Derander ]
  * Initial release to Debian. (Closes: #941016).
  * Import patches from upstream
    - Fix manpage generation

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 03 Dec 2019 09:42:22 +0100

=== debian/control ===
Source: gnome-firmware
Section: gnome
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Jesper Derander <jesper.derander@outlook.com>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Martin Wimpress <martin.wimpress@ubuntu.com>,
           Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
           Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
Build-Depends: appstream,
               debhelper-compat (= 12),
               help2man,
               libfwupd-dev (>= 1.7.9),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.11.2),
               libsoup2.4-dev (>= 2.51.92),
               libxmlb-dev (>= 0.3.6),
               meson,
               systemd (>= 211),
Rules-Requires-Root: binary-targets
Standards-Version: 4.4.1
Homepage: https://gitlab.gnome.org/hughsie/gnome-firmware-updater
Vcs-Git: https://salsa.debian.org/debian/gnome-firmware.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-firmware

Package: gnome-firmware
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         fwupd,
Description: GTK front end for fwupd
 This application can:
 .
  - Upgrade, Downgrade, & Reinstall firmware on devices supported by fwupd.
  - Unlock locked fwupd devices
  - Verify firmware on supported devices
  - Display all releases for a fwupd device

## gnome-firmware 3.36.0

=== debian/changelog ===
gnome-firmware (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf: Sign the tags and automatically and add a postimport
  * debian/patches: Drop all the patches, merged upstream
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)
  * debian/control: Set Rules-Requires-Root to no
  * Add pkg-gnome magic to generate the Uploaders list
  * debian/control.in: Move the git repository under the GNOME team umbrella

 -- Laurent Bigonville <bigon@debian.org>  Mon, 23 Nov 2020 16:04:46 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-firmware
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Jesper Derander <jesper.derander@outlook.com>,
           Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream,
               debhelper-compat (= 12),
               gnome-pkg-tools,
               help2man,
               libfwupd-dev (>= 1.2.10),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.11.2),
               libsoup2.4-dev (>= 2.51.92),
               libxmlb-dev (>=0.1.7),
               meson,
               systemd (>= 211),
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://gitlab.gnome.org/hughsie/gnome-firmware-updater
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-firmware.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-firmware

Package: gnome-firmware
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         fwupd,
Description: GTK front end for fwupd
 This application can:
 .
  - Upgrade, Downgrade, & Reinstall firmware on devices supported by fwupd.
  - Unlock locked fwupd devices
  - Verify firmware on supported devices
  - Display all releases for a fwupd device

=== debian/watch ===
version=4

https://people.freedesktop.org/~hughsient/releases/gnome-firmware-([\d\.]+)\.tar\.xz debian uupdate

## gnome-firmware 41.0

=== debian/changelog ===
gnome-firmware (41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libhandy
  * debian/control.in: Bump minimum meson and fwupd
  * debian/control.in: Drop unneeded Build-Depends on libsoup
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Bump minimum debhelper-compat to 13
  * debian/rules: Build with all hardening flags
  * Cherry-pick patch to fix unnecessary display of branch dialog

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Jan 2022 12:38:25 -0500

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Jesper Derander <jesper.derander@outlook.com>,
            Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
-           Laurent Bigonville <bigon@debian.org>
+           Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
-               debhelper-compat (= 12),
-               gnome-pkg-tools,
+               debhelper-compat (= 13),
+               dh-sequence-gnome,
                help2man,
-               libfwupd-dev (>= 1.2.10),
+               libfwupd-dev (>= 1.5.5),
                libglib2.0-dev,
                libgtk-3-dev (>= 3.11.2),
-               libsoup2.4-dev (>= 2.51.92),
-               libxmlb-dev (>=0.1.7),
-               meson,
+               libhandy-1-dev (>= 1.2.0),
+               libxmlb-dev (>= 0.1.7),
+               meson (>= 0.46.0),
                systemd (>= 211),
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
@@ -31,7 +31,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         fwupd,
+         fwupd (>= 1.5.5),
 Description: GTK front end for fwupd
  This application can:
  .

## gnome-firmware 42.1

=== debian/changelog ===
gnome-firmware (42.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * Bump Standards-Version to 4.6.0
  * Update homepage

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Apr 2022 10:43:44 -0400

gnome-firmware (42.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to gtk4 and libadwaita
  * debian/control.in: Bump minimum fwupd to 1.7.5
  * Drop patch: applied in new release
  * Cherry-pick patch to fix AppStream metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Apr 2022 08:21:16 -0400

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,21 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Jesper Derander <jesper.derander@outlook.com>,
            Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
-           Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+           Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                help2man,
-               libfwupd-dev (>= 1.5.5),
+               libadwaita-1-dev (>= 1.0.0),
+               libfwupd-dev (>= 1.7.5),
                libglib2.0-dev,
-               libgtk-3-dev (>= 3.11.2),
-               libhandy-1-dev (>= 1.2.0),
+               libgtk-4-dev (>= 4.6),
                libxmlb-dev (>= 0.1.7),
                meson (>= 0.46.0),
                systemd (>= 211),
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Homepage: https://gitlab.gnome.org/hughsie/gnome-firmware-updater
+Standards-Version: 4.6.0
+Homepage: https://gitlab.gnome.org/World/gnome-firmware
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-firmware.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-firmware
 
@@ -31,7 +31,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         fwupd (>= 1.5.5),
+         fwupd (>= 1.7.5),
 Description: GTK front end for fwupd
  This application can:
  .

## gnome-firmware 42.2

=== debian/changelog ===
gnome-firmware (42.2-1) unstable; urgency=medium

  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 27 May 2022 09:18:56 -0300

## gnome-firmware 43.0

=== debian/changelog ===
gnome-firmware (43.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 08:40:54 -0400

## gnome-firmware 43.1

=== debian/changelog ===
gnome-firmware (43.1-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 12:18:26 -0500

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                meson (>= 0.46.0),
                systemd (>= 211),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.gnome.org/World/gnome-firmware
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-firmware.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-firmware

## gnome-firmware 43.2

=== debian/changelog ===
gnome-firmware (43.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 17:52:29 -0500

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                meson (>= 0.46.0),
                systemd (>= 211),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/World/gnome-firmware
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-firmware.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-firmware

=== debian/watch ===
version=4
https://people.freedesktop.org/~hughsient/releases/ \
	@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## gnome-firmware 45.0

=== debian/changelog ===
gnome-firmware (45.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita, fwupd & glib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 17:38:32 -0400

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Jesper Derander <jesper.derander@outlook.com>,
            Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
-           Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+           Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                help2man,
-               libadwaita-1-dev (>= 1.0.0),
-               libfwupd-dev (>= 1.7.5),
-               libglib2.0-dev,
+               libadwaita-1-dev (>= 1.4~rc),
+               libfwupd-dev (>= 1.8.11),
+               libglib2.0-dev (>= 2.74.0),
                libgtk-4-dev (>= 4.6),
                libxmlb-dev (>= 0.1.7),
                meson (>= 0.46.0),

## gnome-firmware 46.0

=== debian/changelog ===
gnome-firmware (46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:07:09 +0000

gnome-firmware (46.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome

  [ Michael Biebl ]
  * Build-depend on systemd-dev instead of systemd (Closes: #1060521)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 19:43:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,14 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-firmware
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Jesper Derander <jesper.derander@outlook.com>,
            Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                debhelper-compat (= 13),
-               dh-sequence-gnome,
                help2man,
                libadwaita-1-dev (>= 1.4~rc),
                libfwupd-dev (>= 1.8.11),
@@ -20,7 +16,7 @@
                libgtk-4-dev (>= 4.6),
                libxmlb-dev (>= 0.1.7),
                meson (>= 0.46.0),
-               systemd (>= 211),
+               systemd-dev (>= 211),
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/World/gnome-firmware

## gnome-firmware 47~rc

=== debian/changelog ===
gnome-firmware (47~rc-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: desktop-file-utils
  * Bump minimum fwupd to 1.9.16
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 09:29:20 -0400

## gnome-firmware 47.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
 option('man', type : 'boolean', value : true, description : 'enable man pages')
 option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
+option('devel', type : 'boolean', value : false, description : 'development build')

=== debian/changelog ===
gnome-firmware (47.0-1) unstable; urgency=medium

  * New upstream release (LP: #2083442)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 13:42:03 -0400

=== debian/control ===
Source: gnome-firmware
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Jesper Derander <jesper.derander@outlook.com>,
           Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream,
               debhelper-compat (= 13),
               desktop-file-utils,
               help2man,
               libadwaita-1-dev (>= 1.4~rc),
               libfwupd-dev (>= 1.9.16),
               libglib2.0-dev (>= 2.74.0),
               libgtk-4-dev (>= 4.6),
               libxmlb-dev (>= 0.1.7),
               meson (>= 0.46.0),
               systemd-dev (>= 211),
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/World/gnome-firmware
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-firmware.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-firmware

Package: gnome-firmware
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         fwupd (>= 1.9.16),
Description: GTK front end for fwupd
 This application can:
 .
  - Upgrade, Downgrade, & Reinstall firmware on devices supported by fwupd.
  - Unlock locked fwupd devices
  - Verify firmware on supported devices
  - Display all releases for a fwupd device

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(alpha|beta|rc)/~$1/ \
https://people.freedesktop.org/~hughsient/releases/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## gnome-firmware 49.0

=== debian/changelog ===
gnome-firmware (49.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita and libxmlb
  * Bump Standards Version to 4.7.2
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 Oct 2025 14:56:48 -0400

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,14 @@
                debhelper-compat (= 13),
                desktop-file-utils,
                help2man,
-               libadwaita-1-dev (>= 1.4~rc),
+               libadwaita-1-dev (>= 1.5),
                libfwupd-dev (>= 1.9.16),
                libglib2.0-dev (>= 2.74.0),
                libgtk-4-dev (>= 4.6),
-               libxmlb-dev (>= 0.1.7),
+               libxmlb-dev (>= 0.3.8),
                meson (>= 0.46.0),
                systemd-dev (>= 211),
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/World/gnome-firmware
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-firmware.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-firmware

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.gnome.org/World/@PACKAGE@
Matching-Pattern: ([\d.]+\.?(?:beta|rc)?[\d.]*)
